// 质检所
export enum ImageTypeEnum {
	/** @description 背景 */
	Background = 1,
	/** @description 元素 */
	Element = 2,
}

export enum OptSignEnum {
	/** @description 小于等于 */
	Lte,
	/** @description 小于 */
	Lt,
	/** @description 等于 */
	Eq,
}

export const leftOptSignMap = {
	[OptSignEnum.Lt]: '<',
	[OptSignEnum.Lte]: '=<',
};
export const rightOptSignMap = {
	[OptSignEnum.Lt]: '<',
	[OptSignEnum.Lte]: '=<',
	[OptSignEnum.Eq]: '=',
};
//#region ====================== 使用 eval 解析字符串执行时，对应的操作符 ======================
export const leftOptSignEvalMap = {
	// 只支持 >=，不支持 =<，需要调换一下位置
	[OptSignEnum.Lte]: '>=',
	[OptSignEnum.Lt]: '<',
};
export const rightOptSignEvalMap = {
	// 只支持 >=，不支持 =<，需要调换一下位置
	[OptSignEnum.Lte]: '>=',
	[OptSignEnum.Lt]: '<',
	[OptSignEnum.Eq]: '==',
};

//#endregion

export enum SymbolLabelTypeEnum {
	Label,
	Group,
}

export const symbolLabelTypeMap = {
	[SymbolLabelTypeEnum.Label]: '标签',
	[SymbolLabelTypeEnum.Group]: '分组',
};

export enum ConvertTypeEnum {
	Null,
	Dict,
}

export const convertTypeMap = {
	[ConvertTypeEnum.Null]: '无',
	[ConvertTypeEnum.Dict]: '字典',
};
